Bug 169648 - print/cups-base depends on xpdf pdftops which has moved
Summary: print/cups-base depends on xpdf pdftops which has moved
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-04 16:50 UTC by John Levine
Modified: 2012-07-09 19:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Levine 2012-07-04 16:50:05 UTC
When CUPS prints a PDF file on a Postscript printer, it calls pdftops which can be configured at build time to come from Ghostscript or xpdf. (xpdf's version is much faster.)

xpdf recently moved its pdftops to avoid file collisions with another port, which means that the cups shim that calls it now fails.

Fix: 

Change line 166 of the port Maksfile to this, to find pdftops in its new location:


CONFIGURE_ARGS+=	--enable-pdftops --with-pdftops=${LOCALBASE}/libexec/xpdf/pdftops
How-To-Repeat: build cups-base with "build pdftops with XPDF", then try to print a PDF file on a postscript printer. It'll fail with "/usr/local/libexec/cups/filter/pdftops failed"
Comment 1 Edwin Groothuis freebsd_committer 2012-07-06 02:29:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-07-06 09:55:43 UTC
dinoex      2012-07-06 08:55:24 UTC

  FreeBSD ports repository

  Modified files:
    print/cups-base      Makefile 
  Log:
  - fix option XPDF
  PR:             169648
  Submitted by:   John Levine
  
  Revision  Changes    Path
  1.176     +1 -1      ports/print/cups-base/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dirk Meyer freebsd_committer 2012-07-09 19:54:44 UTC
State Changed
From-To: open->closed

committed, thanks.